Subject: Re: [PATCH] builtin/repack.c: only collect fully-formed packs

From: Junio C Hamano <[email-masked]>
Date: Mon, 12 Jun 2023 14:00:21 -0700

Taylor Blau <[email-masked]> writes:

> Fix the above by teaching `collect_pack_filenames()` to only collect
> packs with their corresponding `*.idx` files in place, indicating that
> those packs have been fully staged.

Hmph, after following the problem description (which by the way was
very well written), I expected to see "collect_pack_filenames() is
taught to use get_all_packs() and then enumerate the names from the
in-core packed_git structures---this way there is no possibility for
the two methods to produce inconsistent results".

But that is not what is going on.  Rather, it is "we still keep
using a separate readdir() loop, but made sure that the criteria to
include a packfile in the result is identical to the logic currently
used by the other function", whose implication is that they can
diverge again.  I am somewhat puzzled.

Will queue.  Thanks.